#{extends 'border.html'/}

<div class="container-fluid">

<div class="row">
    <div class="col-md-2 hidden-mobile">
    #{include 'pl/filter-produk.html'/}
    </div>

<div class="col-md-10">
    <h4>&{'daftar_produk.label'}</h4>
    #{alert /}
#{form @katalog.ProdukCtr.persetujuanProdukDibeliSubmit(), method:'POST', id:'formPersetujuan'}
    #{if !model.items.isEmpty()}
        <!-- Toolbar -->
        <div class="toolbar">
            <input type="hidden" id="yaTidak" name="yaTidak">
            #{if aksesBtnEditDapatDibeli}
                <a href="#" type="button" class="btn btn-warning btn-sm" id="dapat_dibeli" disabled="disabled"><i
                        class="fa fa-check"></i>
                &{'proses_dapat_dibeli.label'}</a>
            #{/if}
            #{if aksesBtnEditDapatDiTayangkan}
                <a href="#" type="button" class="btn btn-warning btn-sm" id="ditayangkan" disabled="disabled"><i
                        class="fa fa-check"></i>
                &{'proses_dapat_ditayangkan.label'}</a>
            #{/if}
            #{if aksesBtnBukaEditProduk}
                <a href="#" type="button" class="btn btn-primary btn-sm open-edit" id="buka_tombol_ubah"
                   disabled="disabled"><i class="fa fa-check"></i>
                &{'buka_tombol_ubah.label'}</a>
            #{/if}
            #{if allowSetUkm}
                <a href="#" type="button" class="btn btn-info btn-sm" id="product-ukm" disabled="disabled">
                    <i class="fa fa-check"></i>
                    &{'product-ukm.label'}
                </a>
            #{/if}
            #{if aksesBtnEditMintaPersetujuan && aktifUser.isAdmin()}
                <a href="#" type="button" class="btn btn-warning btn-sm" id="minta_persetujuan" disabled="disabled"><i
                        class="fa fa-check"></i>
                &{'proses_minta_persetujuan.label'}</a>
            #{/if}
            #{if aksesBtnEditDapatDiTayangkan != false ||  aksesBtnEditDapatDibeli != false || aksesBtnEditMintaPersetujuan != false && aktifUser.isAdmin()}
            *{#{if aksesBtnEditDapatDiTayangkan != false ||  aksesBtnEditDapatDibeli != false}}*
                <label>&{'pilih_semua.label'}</label>&nbsp;<input type="checkbox" id="selectAll"/>
            #{/if}
        </div>
        <!-- End Toolbar -->

        <div class="panel panel-default">
            <input type="hidden" id="id_buka_edit_produk" value="id_buka_edit_produk">
            <div class="panel-body" style="overflow-x: auto">
                <!-- Data Table -->
                <table class="table table-striped" id="produk">
                    <thead>
                    <tr>
                        #{if aksesBtnEditDapatDiTayangkan != false || aksesBtnEditDapatDibeli != false || aksesBtnEditMintaPersetujuan != false && allowSetUkm}
                            <th></th>
                        #{/if}
                        <th class="header-center">&{'nomor.label'}</th>
                        <th>&{'gambar.label'}</th>
                        <th class="header-center">&{'produk.label'}</th>
                        <th class="header-center">&{'nama_penyedia.label'}</th>
                        <th class="header-center">&{'status_produk.label'}</th>
                        <th class="header-center">&{'status_penayangan.label'}</th>
                        <th class="header-center">&{'apakah_dapat_dibeli.label'}?</th>
                        <th class="header-center">&{'apakah_ditayangkan_dikatalog.label'}?</th>
                        <th class="header-center">&{'apakah_dapat_diubah.label'}?</th>
                    </tr>
                    </thead>
                    <tbody>
                        #{set idx = (paramQuery.page - 1) * paramQuery.per_page /}
                        #{list model.items, as:"i"}
                        <tr>
                            #{if aksesBtnEditDapatDiTayangkan != false || aksesBtnEditDapatDibeli != false || aksesBtnEditMintaPersetujuan != false && allowSetUkm}
                                <td class="column-center">
                                    <input type="checkbox" name='idProduk' data-setuju-tolak="${i.setuju_tolak}" value='${i.id}' class='idProduks' #{if i.setuju_tolak == 'setuju' && !(aktifUser.isProvider() || allowSetUkm) } hidden #{/if}>
                                </td>
                            #{/if}
                            <td class="column-center"><h5>${idx = idx + 1}.</h5></td>
                            <td class="column-center"><img src="${i.getImageUrl()}" class="img img-responsive"
                                                           onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                            </td>
                            <td class="column-left">
                                <a href="${i.getDetailUrl()}" target="_blank">
                                    <b>${i.no_produk}</b>
                                    <br>${i.no_produk_penyedia}
                                    <br>${i.nama_manufaktur} ${i.nama_produk}
                                </a>
                                <br>
                                #{if i.is_umkm}
                                <label for="ukm">UKM</label>
                                #{/if}
                            </td>
                            <td class="column-left">${i.nama_penyedia}</td>
                            <td class="column-center">
                                #{if i.setuju_tolak == 'setuju' || i.setuju_tolak == 'tolak'}
                                    #{if i.setuju_tolak == 'setuju'}&{'disetujui.label'}#{/if}
                                    #{else}&{'ditolak.label'}#{/else}
                                #{/if}
                                #{else i.minta_disetujui == 0 || i.minta_disetujui == 1}
                                    #{if i.minta_disetujui == 1}&{'minta_persetujuan.label'}#{/if}
                                    #{else}&{'persiapan.label'}#{/else}
                                #{/else}<br>
                                <button type="button" class="fa fa-info-circle" id="info_produk"
                                        value="${i.id}"></button>
                            </td>
                            <td class="column-center">

                                #{if (i?.sudah_tayang).equalsIgnoreCase("Tayang")}
                                    <b style="color:green">&{'st_tayang_ya.label'}</b>
                                #{/if}
                                #{else}
                                    <b style="color:red">&{'st_tayang_tidak.label'}</b>
                                #{/else}
                                    <br>
                                <button type="button" class="fa fa-info-circle" id="info_produk_tayang"
                                        value="${i.id}"></button>
                            </td>
                            <td class="column-center">#{if i.apakah_dapat_dibeli == 1}<span style='color:green'
                                                                                            class='fa fa-check fa-lg'></span>#{/if}#{else}
                                <span style='color:red' class='fa fa-close fa-lg'></span>#{/else}</td>
                            <td class="column-center">#{if i.apakah_ditayangkan == 1}<span style='color:green'
                                                                                           class='fa fa-check fa-lg'></span>#{/if}#{else}
                                <span style='color:red' class='fa fa-close fa-lg'></span>#{/else}</td>
                        *{<td class="column-center">#{if i.apakah_dapat_diedit == 1}<span style='color:green' class='fa fa-check fa-lg'></span>#{/if}#{else}<span style='color:red' class='fa fa-close fa-lg'></span>#{/else}</td>}*
                            <td class="column-center">
                                #{if i.apakah_dapat_diedit == 1}
                                    #{if (!(i.penawaran_status == 'negosiasi' || i.penawaran_status == 'menunggu_verifikasi' || i.isDraft()) && i.setuju_tolak == 'tolak')}
                                        <span style='color:red' class='fa fa-close fa-lg'></span>
                                    #{/if}
                                    #{else }
                                        <a target="_blank" href="${i.getEditProductUrl()}" class="btn btn-default">&{'ubah.label'}</a>
                                    #{/else}
                                #{/if}
                                #{else }
                                    <span style='color:red' class='fa fa-close fa-lg'></span>
                                #{/else}
                            </td>
                        </tr>
                        #{/list}
                    </tbody>
                </table>
                <!-- End Data Table -->
            </div>
        </div>
        #{pagination model.getPageAble()/}
    #{/if}
    #{else }
        #{ListDefaultMessage type:"Paket"/}
    #{/else}
</div>

</div>

    #{include 'katalog/ProdukCtr/parts/_product_index_modal.html' /}
    <div class="btn-footer">
        <div class="row">
            <div class="col-xs-12">
                <a href="#" onclick="openFilterKatalogProduk()">Filter</a>
            </div>
        </div>
    </div>

</div>
#{/form}
<div class="faq" id="mobile-sidebar">
    <div class="mobile-navigation-bar">
        <a href="#" onclick="closeSidebarBerita()">
            <i class="fa fa-arrow-circle-left"></i> &{'produk.label'}
        </a>
    </div>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-12 col-sm-12">
                #{include 'pl/filter-produk.html'/}
            </div>
        </div>
    </div>
</div>
#{openEditModal product:true /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>

<script type="text/javascript">
    $(document).ready(function () {
        $("#submitBtn").on("click", function () {
            $.showLoading();
            $("#centerTableEmpty").html("&{'tungguproses.label'}")
        });

        $("#komoditas,#penyedia").on("change", function () {
            $("#submitBtn").click();
        });

        $('#keyword').keypress(function (event) {
            var keycode = event.keyCode || event.which;
            if (keycode == '13') {
                $('#submitBtn').click();
                return false;
            }
            return;
        });

        function getPenyedia() {
            var komoditas = $("#komoditas").val();

            if (komoditas != "") {
                $(document).ajaxStart(function () {
                    $.showLoading();
                });
                $.ajax({
                    dataType: "json",
                    url: "@{katalog.ProdukCtr.getPenyedia()}",
                    data: {
                        komoditas_id: komoditas
                    },
                    success: function (result) {
                        var html = "<option value=''>Semua Penyedia</option>";
                        for (var key in result) {
                            var obj = result[key];
                            html = html + "<option value='" + obj["id"] + "'>" + obj["nama_penyedia"] + "</option>"
                        }
                        $("#penyedia").html(html);
                    }
                });
                $(document).ajaxComplete(function () {
                    $.hideLoading();
                });
            }

        }

        $("#komoditas").on("change", function () {
            getPenyedia();
        });

        var currentId;
        jQuery(document).on('click', '.open-edit', function () {
            var view = jQuery(this);
            currentId = view.data('value');
            if (!this.hasAttribute('disabled')) {
                openModal();
            }
        });

        jQuery('.open-button-yes').click(function () {
            if (jQuery('#alasan_buka_tombol_edit').val() === '') {
                showToast("Belum mengisi alasan", false);
            } else {
                // console.log($(this).val());
                send($(this).val());

            }
        });

        function openModal() {
            jQuery('#open-edit-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        }

        function send(a) {
            jQuery.ajax({
                dataType: "json",
                url: "@{katalog.ProdukCtr.openByAdmin()}",
                method: "POST",
                data: {
                    alasan: jQuery('#alasan_buka_tombol_edit').val(),
                    idProduk: ($('#id_buka_edit_produk').val()).split(','),
                    bukaTutup: a
                },
                success: function (result) {
                    // console.log(result);
                    showToast(result.message, result.isSuccess);
                    location.reload();
                },
                fail: function (e) {
                    showToast("Terjadi kesalahan", false);
                }
            });
        }

        // jQuery('#open-edit-modal').on('hidden.bs.modal', function () {
        //     jQuery('.expired').val('');
        // });

    });

    function showToast(message, success) {
        jQuery.toast({
            heading: success ? 'Berhasil' : 'Oops',
            text: message,
            position: 'bottom-center',
            stack: false,
            icon: success ? 'success' : 'error',
            hideAfter: 6000
        })
    }

    function showInfo(prodId) {
        $.ajax({
            url: '@{katalog.ProdukCtr.infoSetujuTayang()}',
            data: {"prodId": prodId},
            type: 'POST',
            success: function (data) {
                $("#viewModal").modal();
                $("#kategori").empty().append(data.kategori);
                $("#url_image").empty().attr("src", data.url_image);
                $("#no_produk").empty().append(data.no_produk);
                $("#nama_produk").empty().append(data.nama_produk);
                $("#oleh_permintaan").empty().append(data.oleh_permintaan);
                $("#tgl_permintaan").empty().append(data.tgl_permintaan);
                $("#alasan_permintaan").empty().append(data.alasan_permintaan);
                $("#hasil_keputusan").empty().append(data.hasil_keputusan);
                $("#oleh_keputusan").empty().append(data.oleh_keputusan);
                $("#tgl_keputusan").empty().append(data.tgl_keputusan);
                $("#alasan_keputusan").empty().append(data.alasan_keputusan);

                //ketentuan tayang

            }
        });
    }

    function showInfoTayang(prodId) {
        $.ajax({
            url: '@{katalog.ProdukCtr.infoProdukTayang()}',
            data: {"prodId": prodId},
            type: 'POST',
            success: function (data) {
                $("#viewModalTayang").modal();
                $("#syarat_tayang_nama_produk").empty().append(data.syarat_tayang_nama_produk);
                $("#syarat_tayang_nomor_produk").empty().append(data.syarat_tayang_nomor_produk);
                $("#syarat_tayang_produk_masih_aktif_tidak").empty().append(data.syarat_tayang_produk_masih_aktif_tidak);
                $("#syarat_tayang_produk_dapat_ditayangkan").empty().append(data.syarat_tayang_produk_dapat_ditayangkan);
                $("#syarat_tayang_produk_disetujui_ditolak").empty().append(data.syarat_tayang_produk_disetujui_ditolak);

                $("#syarat_tayang_tanggal_berlaku_produk").empty().append(data.syarat_tayang_tanggal_berlaku_produk);
                $("#syarat_tayang_jumlah_stok_produk").empty().append(data.syarat_tayang_jumlah_stok_produk);
                $("#syarat_tayang_komoditas").empty().append(data.syarat_tayang_komoditas);
                $("#syarat_tayang_status_komoditas").empty().append(data.syarat_tayang_status_komoditas);
                $("#syarat_tayang_stok_unlimited_tidak").empty().append(data.syarat_tayang_stok_unlimited_tidak);

                $("#syarat_tayang_penawaran").empty().append(data.syarat_tayang_penawaran);
                $("#syarat_tayang_kontrak").empty().append(data.syarat_tayang_kontrak);
                $("#syarat_tayang_tanggal_mulai_berlaku_kontrak").empty().append(data.syarat_tayang_tanggal_mulai_berlaku_kontrak);
                $("#syarat_tayang_tanggal_selesai_berkalu_kontrak").empty().append(data.syarat_tayang_tanggal_selesai_berkalu_kontrak);
                $("#syarat_tayang_status_kontrak").empty().append(data.syarat_tayang_status_kontrak);
                $("#syarat_tayang_status_penayang_produk").empty().append(data.syarat_tayang_status_penayang_produk);
                $("#syarat_tayang_kontrak_berlaku").empty().append(data.syarat_tayang_kontrak_berlaku);

                $("#st_produk_dapat_ditayangkan").empty().append(data.st_produk_dapat_ditayangkan);
                $("#st_produk_disetujui_ditolak").empty().append(data.st_produk_disetujui_ditolak);
                $("#st_status_komoditas").empty().append(data.st_status_komoditas);
                $("#st_status_kontrak").empty().append(data.st_status_kontrak);
                $("#st_penawaran").empty().append(data.st_penawaran);
                $("#st_kontrak").empty().append(data.st_kontrak);
                $("#st_tgl_berlaku_produk").empty().append(data.st_tgl_berlaku_produk);
                $("#st_tgl_mulai_berlaku_kontrak").empty().append(data.st_tgl_mulai_berlaku_kontrak);
                $("#st_tgl_selesai_berlaku_kontrak").empty().append(data.st_tgl_selesai_berlaku_kontrak);
                $("#st_stok_produk_unlimited").empty().append(data.st_stok_produk_unlimited);
                $("#st_kontrak_berlaku").empty().append(data.st_kontrak_berlaku);

                //ketentuan tayang

            }
        });
    }

    $("#selectAll").click(function () {
        /* Swal.fire({
            title: '',
            text: "${play.i18n.Messages.get('komoditas.confirm.ukm')}",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes'
        }).then((result) => {
            if (result.value) { */
                var checked = $(this).is(":checked");
                if (checked) {
                    $(".idProduks").prop("checked", true);
                    $("#dapat_dibeli").removeAttr('disabled');
                    $("#ditayangkan").removeAttr('disabled');
                    $("#minta_persetujuan").removeAttr('disabled');
                    $("#buka_tombol_ubah").removeAttr('disabled');
                    $("#product-ukm").removeAttr('disabled');
                } else {
                    $(".idProduks").prop("checked", false);
                    $("#dapat_dibeli").attr('disabled', 'disabled');
                    $("#ditayangkan").attr('disabled', 'disabled');
                    $("#minta_persetujuan").attr('disabled', 'disabled');
                    $("#buka_tombol_ubah").attr('disabled', 'disabled');
                    $("#product-ukm").attr('disabled', 'disabled');
                }
           /* }else {
                $(this).prop("checked", false);
            }
        }) */

    });

    $("body").on("click", ".idProduks", function () {
        var jumlahCek = $('[name="idProduk"]:checked').length;
        var idChecked = [];
        $('td input:checked').each(function () {
            idChecked.push($(this).val());
        })

        if (jumlahCek > 0) {
            $("#dapat_dibeli").removeAttr('disabled');
            $("#ditayangkan").removeAttr('disabled');
            $("#minta_persetujuan").removeAttr('disabled');
            $("#buka_tombol_ubah").removeAttr('disabled');
            $("#product-ukm").removeAttr('disabled');
        } else {
            $("#dapat_dibeli").attr('disabled', 'disabled');
            $("#ditayangkan").attr('disabled', 'disabled');
            $("#minta_persetujuan").attr('disabled', 'disabled');
            $("#buka_tombol_ubah").attr('disabled', 'disabled');
            $("#product-ukm").attr('disabled', 'disabled');
        }
    });

    $("body").on("click", "#dapat_dibeli", function () {
        if (this.hasAttribute('disabled')) {
            // do nothing
        }else{
            $("#editModal").modal();
            $("#type_beli").removeAttr('disabled');
            $("#alasan_beli").removeAttr('disabled');
        }
    });

    $("body").on("click", "#ditayangkan", function () {
        if (this.hasAttribute('disabled')) {
            // do nothing
        }else{
            $("#editModalTayang").modal();
            $("#type_tayang").removeAttr('disabled');
            $("#alasan_tayang").removeAttr('disabled');
        }
    });

    $("body").on("click", "#minta_persetujuan", function () {
        $("#editModalMintaPersetujuan").modal();
        $("#type_minta_persetujuan").removeAttr('disabled');
        $("#alasan_minta_persetujuan").removeAttr('disabled');
    });

    $("body").on("click", "#buka_tombol_ubah", function () {
        if (this.hasAttribute('disabled')) {
            // do nothing
        } else {
            $("#open-edit-modal").modal();
            $("#type_buka_tombol_edit").removeAttr('disabled');
            $("#alasan_buka_tombol_edit").removeAttr('disabled');
        }


    });

    $("body").on("click", ".yaTidak", function () {
        var this_val = $(this).val();
        var alasan_val = $("#alasan").val();
        var type = $("#type").val();

        if (this_val == "tidak" && alasan_val == "") {
            $("#error-message").html("&{'produk.tolak.alasan.error'}");
            $("#error-message").show();
        } else {
            $("#error-message").hide();
            $("#alasanSubmit").val($("#alasan").val());
            $("#yaTidak").val($(this).val());
            $("#type").val($("#type").val());
            $("#editModal").modal('hide');
            $("#formPersetujuan").submit();
            return false;
        }

    });

    $("body").on("click", ".yaTidakDitayangkan", function () {
        var this_val = $(this).val();
        var alasan_val = $("#alasan").val();
        var type = $("#typeTayang").val();

        if (this_val == "tidak" && alasan_val == "") {
            $("#error-message").html("&{'produk.tolak.alasan.error'}");
            $("#error-message").show();
        } else {
            $("#error-message").hide();
            $("#alasanSubmit").val($("#alasan").val());
            $("#yaTidak").val($(this).val());
            $("#typeTayang").val($("#typeTayang").val());
            $("#editModal").modal('hide');
            $("#formPersetujuan").submit();
            return false;
        }
    });


    jQuery('.yaTidakMintaPersetujuan').click(function () {
        if (jQuery('#alasan_minta_persetujuan').val() === '') {
            showToast("Belum mengisi alasan", false);
        } else {
            if (getProductIdsForApproval().length == 0) {
                return
            }
            sendMintaPersetujuan($(this).val());
        }
    });

    $("body").on("click", "#info_produk", function () {
        var this_val = $(this).val();
        showInfo(this_val);
    });

    $("body").on("click", "#info_produk_tayang", function () {
        var this_val = $(this).val();
        showInfoTayang(this_val);
    });

    $('#produk').on('click', '.ukm-action', function() {
        let id = $(this).data('value')
        let currentStatus = $(this).is(":checked")
        let arr = []
        arr.push(id)
        sendUkmRequest(arr, currentStatus)
    })

    $('#product-ukm').click(function() {
        var attr = $(this).attr('disabled');

        if (typeof attr !== typeof undefined && attr !== false) {
            console.log("disable");
        }else {
            jQuery('#product-ukm-modal').modal({
                backdrop: 'static',
                keyboard: false
            });
        }

    })
    *{$('.idProduks').click(function (e) {}*
    *{    Swal.fire({}*
    *{        title: '',}*
    *{        text: "${play.i18n.Messages.get('komoditas.confirm.ukm')}",}*
    *{        icon: 'warning',}*
    *{        showCancelButton: true,}*
    *{        confirmButtonColor: '#3085d6',}*
    *{        cancelButtonColor: '#d33',}*
    *{        confirmButtonText: 'Yes'}*
    *{    }).then((result) => {}*
    *{        if (result.value) {}*
    *{        }else {}*
    *{            $(this).prop("checked", false);}*
    *{        }}*
    *{    })}*
    *{});}*

    $("body").on('click', '#product-ukm-modal .product-ukm-confirmed-button', function(e) {
        e.preventDefault()
        let val = $(this).val()
        // let reason = $('#product-ukm-modal .reason').val()
        // let isReasonEmpty = (reason == undefined || reason == null || reason.length == 0 || reason === '')
        // if (val == 0 && isReasonEmpty) {
        //     $('#product-ukm-modal .error-message').show()
        //     return
        // }
        // $('#product-ukm-modal .error-message').hide()
        let ids = []
        $('.idProduks:checked').each(function() {
            ids.push($(this).val())
        })
        if (ids.length == 0) {
            return
        }
        $('#product-ukm-modal .reason').val('')
        sendUkmRequest(ids, (val == 1))
    })

    function sendUkmRequest(ids, status) {
        jQuery.ajax({
            dataType: "json",
            url: "@{katalog.ProdukCtr.updateStatusUmkm()}",
            method: "POST",
            data: {
                ids: ids,
                currentStatus: status
            },
            success: function (result) {
                showToast(result.message, result.status)
                location.reload(true);
            },
            fail: function (e) {
                showToast("Terjadi kesalahan", false)
            }
        });
    }

    function getProductIdsForApproval() {
        let ids = []
        $('.idProduks:checked').each(function() {
            if ($(this).data('setuju-tolak') !== 'setuju') {
                ids.push($(this).val())
            }
        })
        return ids
    }

    function sendMintaPersetujuan(a) {
        jQuery.ajax({
            dataType: "json",
            url: "@{katalog.ProdukCtr.mintaPersetujuanTayang()}",
            method: "POST",
            data: {
                alasan: jQuery('#alasan_minta_persetujuan').val(),
                idProduk: getProductIdsForApproval(),
                yaTidakMintaPersetujuan: a,
                type: 'minta_persetujuan'
            },
            success: function (result) {
                showToast(result.message, result.isSuccess);
                location.reload();
            },
            fail: function (e) {
                showToast("Terjadi kesalahan", false);
            }
        });

    }
</script>
#{/set}
